<form [formGroup]="form">

    <mat-form-field class="example-full-width">
        <mat-label>Mentor</mat-label>
        <mat-select formControlName="mentorId" required>
            <mat-option [value]="0" ng-selected="true">Select Mentor</mat-option>
            <mat-option *ngFor="let mentor of mentors" [value]="mentor.id">
                {{mentor.firstName}} {{mentor.lastName}}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <mat-label>Training</mat-label>
        <mat-select formControlName="trainingId" required>
            <mat-option [value]="0">Select Training </mat-option>
            <mat-option *ngFor="let training of trainings" [value]="training.id">
                {{training.mentorName}} {{training.skill}} {{training.startDate}} {{training.endDate}}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <mat-radio-group formControlName="txnType" required>
        <mat-radio-button value="Cash">Cash</mat-radio-button>
        <mat-radio-button value="Card">Debit/Credit Card</mat-radio-button>
    </mat-radio-group>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Payment Amount" formControlName="amount" required>
    </mat-form-field>

    <mat-form-field>
        <input matInput [ngxMatDatetimePicker]="picker1" placeholder="Payment Date" formControlName="paymentDate">
        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
        <ngx-mat-datetime-picker #picker1></ngx-mat-datetime-picker>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Remarks" formControlName="remarks" required>
    </mat-form-field>
</form>